export declare function slugify(text: string): string;
export declare const sample: (array: any[]) => any;
export declare const keyBy: (array: any[], keyMap: (item: any) => string, valMap?: (item: any) => any) => any;
export declare const debounce: (fn: (...args: any[]) => any, wait: number) => (...args: any[]) => void;
export declare function GetGoalAppData(title: string, description: string, category: string, percentage: number, goalText: string): {
  Name: string;
  Description: string;
  Category: string;
  Percentage: number;
  GoalText: string;
};
export declare function MyMoodTemplate(feeling: string, intensity: string, location: string): string;
export declare function MyMoodTemplateJSON(feeling: string, intensity: string, location: string): string;
export declare function MyHealthTemplate(heartRate: number): string;
export declare function MyHealthTemplateJSON(heartRate: number): string;
export declare function MyGoalTemplate(goalName: string, text: string, progress: number): string;
export declare function MyGoalTemplateJSON(goalName: string, goalUpdateText: string, progress: number): string;
export declare function FeedPostJSON(postText: string): string;
export declare class SparkleGlobal {
  static MY_GOALS_APP_ID: number;
  static MY_HEALTH_APP_ID: number;
  static MY_MOOD_APP_ID: number;
  static LOCALSTORAGE_CLASSROOM_MODE: string;
}
export declare function date(date: string | Date): string;
